Page MenuHomePhabricator

Change-Prop partitioner fails with eventgate event
Closed, ResolvedPublic

Description

The parititoner in change-prop fails when .meta.topic is not present in the event, because the partitioned topic name is built from a template that references it.

For the transition period we need to support both .meta.topic and .meta.stream, however after the transition is done we need to remove support for .meta.topic.

Event Timeline

Pchelolo renamed this task from Change-Prop partitioner fails with eventuate event to Change-Prop partitioner fails with enevtgate event.Aug 7 2019, 5:50 PM
Pchelolo created this task.
Pchelolo renamed this task from Change-Prop partitioner fails with enevtgate event to Change-Prop partitioner fails with eventgate event.Aug 7 2019, 6:47 PM

Mentioned in SAL (#wikimedia-operations) [2019-08-07T21:49:06Z] <ppchelko@deploy1001> Started deploy [cpjobqueue/deploy@a151f4e]: Prepare for eventgate transition T230049 T230048

Mentioned in SAL (#wikimedia-operations) [2019-08-07T21:50:05Z] <ppchelko@deploy1001> Finished deploy [cpjobqueue/deploy@a151f4e]: Prepare for eventgate transition T230049 T230048 (duration: 00m 59s)

Change 528954 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/services/change-propagation/jobqueue-deploy@master] Switch partitioner topic template to meta.stream.

https://gerrit.wikimedia.org/r/528954

Change 528954 merged by Ppchelko:
[mediawiki/services/change-propagation/jobqueue-deploy@master] Switch partitioner topic template to meta.stream.

https://gerrit.wikimedia.org/r/528954

Pchelolo closed this task as Resolved.Aug 9 2019, 7:35 PM